/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.util.task.valueobject;

/**
 * 処理クラス [BlancoXliffUtilExtractAlttransDiffProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoXliffUtilExtractAlttransDiffProcessInput {
    /**
     * verboseモードで動作させるかどうか。
     *
     * フィールド: [verbose]。
     * デフォルト: [false]。
     */
    private boolean fVerbose = false;

    /**
     * 出力対象の XLIFF (*.xlf) ファイル
     *
     * フィールド: [targetfile]。
     */
    private String fTargetfile;

    /**
     * 入力対象の XLIFF (*.xlf) ファイルが含まれるディレクトリ。
     *
     * フィールド: [xliffdir]。
     */
    private String fXliffdir;

    /**
     * 差分をチェックする対象となる alt-trans 上の tool-id。nlpack や pleiades などを指定します。
     *
     * フィールド: [toolid]。
     */
    private String fToolid;

    /**
     * フィールド [verbose] の値を設定します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     *
     * @param argVerbose フィールド[verbose]に設定する値。
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド [verbose] の値を取得します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[verbose]から取得した値。
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [targetfile] の値を設定します。
     *
     * フィールドの説明: [出力対象の XLIFF (*.xlf) ファイル]。
     *
     * @param argTargetfile フィールド[targetfile]に設定する値。
     */
    public void setTargetfile(final String argTargetfile) {
        fTargetfile = argTargetfile;
    }

    /**
     * フィールド [targetfile] の値を取得します。
     *
     * フィールドの説明: [出力対象の XLIFF (*.xlf) ファイル]。
     *
     * @return フィールド[targetfile]から取得した値。
     */
    public String getTargetfile() {
        return fTargetfile;
    }

    /**
     * フィールド [xliffdir] の値を設定します。
     *
     * フィールドの説明: [入力対象の XLIFF (*.xlf) ファイルが含まれるディレクトリ。]。
     *
     * @param argXliffdir フィールド[xliffdir]に設定する値。
     */
    public void setXliffdir(final String argXliffdir) {
        fXliffdir = argXliffdir;
    }

    /**
     * フィールド [xliffdir] の値を取得します。
     *
     * フィールドの説明: [入力対象の XLIFF (*.xlf) ファイルが含まれるディレクトリ。]。
     *
     * @return フィールド[xliffdir]から取得した値。
     */
    public String getXliffdir() {
        return fXliffdir;
    }

    /**
     * フィールド [toolid] の値を設定します。
     *
     * フィールドの説明: [差分をチェックする対象となる alt-trans 上の tool-id。nlpack や pleiades などを指定します。]。
     *
     * @param argToolid フィールド[toolid]に設定する値。
     */
    public void setToolid(final String argToolid) {
        fToolid = argToolid;
    }

    /**
     * フィールド [toolid] の値を取得します。
     *
     * フィールドの説明: [差分をチェックする対象となる alt-trans 上の tool-id。nlpack や pleiades などを指定します。]。
     *
     * @return フィールド[toolid]から取得した値。
     */
    public String getToolid() {
        return fToolid;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.util.task.valueobject.BlancoXliffUtilExtractAlttransDiffProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",targetfile=" + fTargetfile);
        buf.append(",xliffdir=" + fXliffdir);
        buf.append(",toolid=" + fToolid);
        buf.append("]");
        return buf.toString();
    }
}
